Subject: Re: [RAM] The mapping problem: rendezvous points?

From: [email-masked] (Noel Chiappa)
Date: Mon, 10 Sep 2007 19:07:18 -0400 (EDT)

> From: Dino Farinacci <[email-masked]>

    > if an EID-prefix namespace is routed on another topology where you only
    > route on IDs (where the Internet topology we know of today routes only
    > on locator prefixes)

Err, minor terminological nit: one my definitions of "locator" is 'names used
by the path-selection system'. So if you have a system which is doing
"rout[ing]" (i.e. doing next-hop selection along the path), then the things
it is using as the name of the destination are, *by definition*, locators...
even if you call them EIDs!

	Noel

_______________________________________________
RAM mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ram

---

From: Dino Farinacci <[email-masked]>
Date: Tue, 11 Sep 2007 07:27:39 -0700

> even if you call them EIDs!

I agree with your definition, but in LISP 1 and 1.5, when you copy  
the inner DA to the outer DA, we call the inner DA an EID because it  
is assigned to a host. And we use that EID as a locator in the IGP.  
When it is copied to the outer DA for map resolution, I guess it is  
also a locator outside of the site.

But the semantic of this outer DA, in lieu of map resolution comes  
out of the EID-prefix allocation space and not an ISPs space.

So I know this can be confusing or controversial, but when I look at  
an address, I call it from where it was *allocated* from and not how  
it is used.

Dino